# ---------------------------------------------------------------------------
# main.mak                                                       Version 2.0
# Makefile for creating bootable CD-Rom's
#
# Created by Bart Lagerweij                         http://www.nu2.nu/bootcd
# ---------------------------------------------------------------------------
#
# Get cdrdevice setting from config.mak include file (- for ignore error)
-include ../../bin/config.mak
#
publisher:="NU2 Productions - http://www.nu2.nu"
applicationid:="Created 'Barts way' using MKISOFS/CDRECORD"
#
include build.mak
#
# Get only the first word from cdrdevice
ifdef cdrdevice
	cdrdevice:=$(firstword ${cdrdevice})
endif
#
# Filename to store temporarily iso image
isofile:=../../tmp/mycd.iso
#
# Set shell to point to "sh.exe"
SHELL:=../../bin/sh.exe
#
ifdef verbose
	ifeq ($(verbose),y)
		mkisofsargs+= -v
		cdrecordargs+= -v
	endif
endif

ifdef systemid
	mkisofsargs+= -sysid $(systemid)
endif

ifdef volumeid
	mkisofsargs+= -volid $(volumeid)
endif

ifdef volsetid
	mkisofsargs+= -volset $(volsetid)
endif

ifdef preparer
	mkisofsargs+= -p $(preparer)
endif

ifdef publisher
	mkisofsargs+= -P $(publisher)
endif

ifdef applicationid
	mkisofsargs+= -A $(applicationid)
endif

ifdef boot
	mkisofsargs+= $(boot)
endif

.PHONY : bootcd

bootcd:

# Check if cdrdevice exists
ifndef cdrdevice
	$(error "cdrdevice" is not set. Did you run setup.bat?) 
endif

# Check source
ifndef source
	$(error "source" is not set. Check your build.mak file!) 
endif

# Build the ISO filesystem file
	../../bin/mkisofs.exe $(mkisofsargs) -o $(isofile) $(source)

# If "noburn" is defined skip burning using cdrecord
ifndef noburn

# Try to blank CDRW (ignore failure)
	-../../bin/cdrecord.exe dev=$(cdrdevice) blank=fast

# Burn the ISO file
	../../bin/cdrecord.exe dev=$(cdrdevice) $(cdrecordargs) $(isofile)
endif
#
# END of makefile
